aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2006-11-14 20:33:17 +0000
committerrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2006-11-14 20:33:17 +0000
commite094e7314e7cd88ff731e5feed5fe21a04f44b86 (patch)
tree6f05e91fe8a547e9891ee3db8e35424082364925
parent39780bcb2c3d71ef9c7b9db0ce94beb5e60d83d7 (diff)
downloadslackbuilds-e094e7314e7cd88ff731e5feed5fe21a04f44b86.tar.gz
slackbuilds-e094e7314e7cd88ff731e5feed5fe21a04f44b86.tar.bz2
boost added
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@631 370017ae-e619-0410-ac65-c121f96126d4
-rw-r--r--boost/boost-1.33.1.diff19
-rwxr-xr-xboost/boost.SlackBuild128
2 files changed, 147 insertions, 0 deletions
diff --git a/boost/boost-1.33.1.diff b/boost/boost-1.33.1.diff
new file mode 100644
index 00000000..85a56345
--- /dev/null
+++ b/boost/boost-1.33.1.diff
@@ -0,0 +1,19 @@
+--- Makefile.orig 2006-11-14 13:34:02.000000000 -0200
++++ Makefile 2006-11-14 14:54:23.000000000 -0200
+@@ -1,10 +1,12 @@
+ BJAM=./tools/build/jam_src/bin.linuxx86/bjam
+ TOOLSET=gcc
+ BJAM_CONFIG= -sPYTHON_ROOT=/usr -sPYTHON_VERSION=2.4
+-PREFIX=/usr
+-EPREFIX=/usr
+-LIBDIR=/usr/lib
+-INCLUDEDIR=/usr/include
++DESTDIR=${DESTDIR:=/tmp/package-boost}
++LIBDIR=${LIBDIR:=/usr/lib}
++PREFIX=${DESTDIR}/usr
++EPREFIX=${DESTDIR}/usr
++LIBDIR=${DESTDIR}${LIBDIR}
++INCLUDEDIR=${DESTDIR}/usr/include
+ LIBS=
+
+ all: .dummy
diff --git a/boost/boost.SlackBuild b/boost/boost.SlackBuild
new file mode 100755
index 00000000..885190a0
--- /dev/null
+++ b/boost/boost.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+#
+# slackbuild script for boost
+# by boost at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building boost are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="boost"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.33.1}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# Warning: hardcoded version!!
+VERSION2=1_33_1
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="${PACKAGE}_${VERSION2}.tar.$PACKAGE_EXT"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/boost/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd ${PACKAGE}_${VERSION2}
+
+./configure --prefix=/usr --libdir=$LIBDIR
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p0 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE LIBDIR=$LIBDIR install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+boost: boost
+boost:
+boost: Boost provides free peer-reviewed portable C++ source libraries.
+boost:
+boost: We emphasize libraries that work well with the C++ Standard Library.
+boost: Boost libraries are intended to be widely useful, and usable across
+boost: a broad spectrum of applications.
+boost:
+boost:
+boost: http://www.boost.org/
+boost:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in LICENSE_1_0.txt README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+ln -s usr/include/boost-${VERSION2}/boost usr/include/boost
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+